Shared publicly  - 
 
Recent releases of libpng and libtiff have required a rebuild of all packages that depend on them; these have just been moved from [testing] to the main repos. As usual, remember to fully update your system and check your unofficial packages (especially the cairo-* packages from AUR) for required rebuilds.

The update might output messages similar to:
_g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so:
libpng14.so.14: cannot open shared object file: No such file or directory_
These can be safely ignored if you use our official cairo package; otherwise you may need to reinstall librsvg.
29
12
Andoni Díaz's profile photoAntonio Tauro's profile photoCharles Bowman's profile photoМонгол Линүксчид's profile photo
13 comments
 
And the upgrade nightmares begin, luckily I has just upgraded my ArchLinux and I will wait till the repo stabilized before upgrading again.
 
I shared this across multiple social networks, since I recall the libpng 1.2 to 1.4 upgrade on +Gentoo back in the day.
 
I just upgraded.. apart from reinstalling librsvg everything is fine
 
Firefox, thunderbird, FBReader, chromium and flash plugin don't work for me after this update. All from official repo
 
+Alex Zhavnerchik one needs to read the news from top to bottom, without ignoring hints like AUR and cairo-* variants. (pacman -Qm)
 
+Alex Zhavnerchik well, you replaced a very important dependency that all gtk+ apps use it with one from AUR that cannot be updated.
 
Had to force reinstall librsvg to get shotwell to startup again, other than that - business as usual
Add a comment...